Index: code/branches/OrxoKart_HS18/data/levels/OrxoKart1.oxw
===================================================================
--- code/branches/OrxoKart_HS18/data/levels/OrxoKart1.oxw	(revision 12057)
+++ code/branches/OrxoKart_HS18/data/levels/OrxoKart1.oxw	(revision 12057)
@@ -0,0 +1,411 @@
+<LevelInfo
+ name = "Hover 2"
+ description = "Level for Minigame Hover"
+ tags = "minigame"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipHover.oxt")
+  include("overlays/HoverHUD.oxo")
+?>
+
+<?lua
+MAZE_NUM_CELLS = 10
+MAZE_CELL_SIZE = 100
+MAZE_CELL_HEIGHT = 30
+MAZE_SIZE = MAZE_NUM_CELLS*MAZE_CELL_SIZE
+--number of tiles
+N = 11
+--scaling factor
+S = 250
+
+MAP_ORIGIN = "0,0,0"
+?>
+
+<Level
+plugins = hover
+gametype = Hover
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+    gravity      = "0, -200, 0"
+  >
+
+    <StaticEntity position="0,0,0" collisionType="static">
+      <attached>
+        <!-- Walls and flags (physics and design)-->
+        <!--
+        <HoverOrigin
+          numCells="<?lua print(MAZE_NUM_CELLS)?>"
+          cellSize="<?lua print(MAZE_CELL_SIZE)?>"
+          cellHeight="<?lua print(MAZE_CELL_HEIGHT)?>"
+        />
+        -->
+
+        <!-- floor design -->
+
+
+
+
+
+
+        
+        <Model
+          position="<?lua print((N-1)*S/2)?>,0,<?lua print((N-1)*S/2)?>"
+
+          scale3D="<?lua print(S)?>,8,<?lua print(S)?>"
+          mesh="teststrecke.mesh"
+        />
+      
+        
+      </attached> 
+      <collisionShapes>
+        <!-- roof physics -->
+        <!--
+        <BoxCollisionShape
+          position="<?lua print(MAZE_SIZE/2)?>,<?lua print(MAZE_CELL_HEIGHT+1)?>,<?lua print(MAZE_SIZE/2)?>"
+          halfExtents="<?lua print(MAZE_SIZE/2)?>,1,<?lua print(MAZE_SIZE/2)?>"
+        />
+      -->
+        <!-- floor physics -->
+
+<!-- tile number 0-->
+<BoxCollisionShape
+position="<?lua print((N-1-0)*S) ?>,-1, <?lua print(0*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 1-->
+<BoxCollisionShape
+position="<?lua print((N-1-0)*S) ?>,-1, <?lua print(1*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 2-->
+<BoxCollisionShape
+position="<?lua print((N-1-0)*S) ?>,-1, <?lua print(2*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 3-->
+<BoxCollisionShape
+position="<?lua print((N-1-0)*S) ?>,-1, <?lua print(3*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 4-->
+<BoxCollisionShape
+position="<?lua print((N-1-0)*S) ?>,-1, <?lua print(4*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 5-->
+<BoxCollisionShape
+position="<?lua print((N-1-0)*S) ?>,-1, <?lua print(5*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 6-->
+<BoxCollisionShape
+position="<?lua print((N-1-0)*S) ?>,-1, <?lua print(6*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 7-->
+<BoxCollisionShape
+position="<?lua print((N-1-0)*S) ?>,-1, <?lua print(7*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 8-->
+<BoxCollisionShape
+position="<?lua print((N-1-1)*S) ?>,-1, <?lua print(0*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 9-->
+<BoxCollisionShape
+position="<?lua print((N-1-1)*S) ?>,-1, <?lua print(7*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 10-->
+<BoxCollisionShape
+position="<?lua print((N-1-1)*S) ?>,-1, <?lua print(8*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 11-->
+<BoxCollisionShape
+position="<?lua print((N-1-1)*S) ?>,-1, <?lua print(9*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 12-->
+<BoxCollisionShape
+position="<?lua print((N-1-2)*S) ?>,-1, <?lua print(0*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 13-->
+<BoxCollisionShape
+position="<?lua print((N-1-2)*S) ?>,-1, <?lua print(2*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 14-->
+<BoxCollisionShape
+position="<?lua print((N-1-2)*S) ?>,-1, <?lua print(3*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 15-->
+<BoxCollisionShape
+position="<?lua print((N-1-2)*S) ?>,-1, <?lua print(4*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 16-->
+<BoxCollisionShape
+position="<?lua print((N-1-2)*S) ?>,-1, <?lua print(5*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 17-->
+<BoxCollisionShape
+position="<?lua print((N-1-2)*S) ?>,-1, <?lua print(9*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 18-->
+<BoxCollisionShape
+position="<?lua print((N-1-2)*S) ?>,-1, <?lua print(10*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 19-->
+<BoxCollisionShape
+position="<?lua print((N-1-3)*S) ?>,-1, <?lua print(0*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 20-->
+<BoxCollisionShape
+position="<?lua print((N-1-3)*S) ?>,-1, <?lua print(1*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 21-->
+<BoxCollisionShape
+position="<?lua print((N-1-3)*S) ?>,-1, <?lua print(2*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 22-->
+<BoxCollisionShape
+position="<?lua print((N-1-3)*S) ?>,-1, <?lua print(5*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 23-->
+<BoxCollisionShape
+position="<?lua print((N-1-3)*S) ?>,-1, <?lua print(6*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 24-->
+<BoxCollisionShape
+position="<?lua print((N-1-3)*S) ?>,-1, <?lua print(10*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 25-->
+<BoxCollisionShape
+position="<?lua print((N-1-4)*S) ?>,-1, <?lua print(6*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 26-->
+<BoxCollisionShape
+position="<?lua print((N-1-4)*S) ?>,-1, <?lua print(8*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 27-->
+<BoxCollisionShape
+position="<?lua print((N-1-4)*S) ?>,-1, <?lua print(9*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 28-->
+<BoxCollisionShape
+position="<?lua print((N-1-4)*S) ?>,-1, <?lua print(10*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 29-->
+<BoxCollisionShape
+position="<?lua print((N-1-5)*S) ?>,-1, <?lua print(0*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 30-->
+<BoxCollisionShape
+position="<?lua print((N-1-5)*S) ?>,-1, <?lua print(1*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 31-->
+<BoxCollisionShape
+position="<?lua print((N-1-5)*S) ?>,-1, <?lua print(2*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 32-->
+<BoxCollisionShape
+position="<?lua print((N-1-5)*S) ?>,-1, <?lua print(3*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 33-->
+<BoxCollisionShape
+position="<?lua print((N-1-5)*S) ?>,-1, <?lua print(4*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 34-->
+<BoxCollisionShape
+position="<?lua print((N-1-5)*S) ?>,-1, <?lua print(5*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 35-->
+<BoxCollisionShape
+position="<?lua print((N-1-5)*S) ?>,-1, <?lua print(6*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 36-->
+<BoxCollisionShape
+position="<?lua print((N-1-5)*S) ?>,-1, <?lua print(8*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 37-->
+<BoxCollisionShape
+position="<?lua print((N-1-6)*S) ?>,-1, <?lua print(0*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 38-->
+<BoxCollisionShape
+position="<?lua print((N-1-6)*S) ?>,-1, <?lua print(8*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 39-->
+<BoxCollisionShape
+position="<?lua print((N-1-7)*S) ?>,-1, <?lua print(0*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 40-->
+<BoxCollisionShape
+position="<?lua print((N-1-7)*S) ?>,-1, <?lua print(8*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 41-->
+<BoxCollisionShape
+position="<?lua print((N-1-8)*S) ?>,-1, <?lua print(0*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 42-->
+<BoxCollisionShape
+position="<?lua print((N-1-8)*S) ?>,-1, <?lua print(1*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 43-->
+<BoxCollisionShape
+position="<?lua print((N-1-8)*S) ?>,-1, <?lua print(2*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 44-->
+<BoxCollisionShape
+position="<?lua print((N-1-8)*S) ?>,-1, <?lua print(3*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 45-->
+<BoxCollisionShape
+position="<?lua print((N-1-8)*S) ?>,-1, <?lua print(4*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 46-->
+<BoxCollisionShape
+position="<?lua print((N-1-8)*S) ?>,-1, <?lua print(8*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 47-->
+<BoxCollisionShape
+position="<?lua print((N-1-8)*S) ?>,-1, <?lua print(9*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 48-->
+<BoxCollisionShape
+position="<?lua print((N-1-8)*S) ?>,-1, <?lua print(10*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 49-->
+<BoxCollisionShape
+position="<?lua print((N-1-9)*S) ?>,-1, <?lua print(4*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 50-->
+<BoxCollisionShape
+position="<?lua print((N-1-9)*S) ?>,-1, <?lua print(10*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 51-->
+<BoxCollisionShape
+position="<?lua print((N-1-10)*S) ?>,-1, <?lua print(4*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 52-->
+<BoxCollisionShape
+position="<?lua print((N-1-10)*S) ?>,-1, <?lua print(5*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 53-->
+<BoxCollisionShape
+position="<?lua print((N-1-10)*S) ?>,-1, <?lua print(6*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 54-->
+<BoxCollisionShape
+position="<?lua print((N-1-10)*S) ?>,-1, <?lua print(7*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 55-->
+<BoxCollisionShape
+position="<?lua print((N-1-10)*S) ?>,-1, <?lua print(8*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 56-->
+<BoxCollisionShape
+position="<?lua print((N-1-10)*S) ?>,-1, <?lua print(9*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+<!-- tile number 57-->
+<BoxCollisionShape
+position="<?lua print((N-1-10)*S) ?>,-1, <?lua print(10*S) ?>"
+halfExtents="<?lua print(S/2) ?>,1, <?lua print(S/2) ?>"
+/>
+
+
+
+
+
+
+        <!--
+        <BoxCollisionShape
+          position="<?lua print((N-1)*S/2)?>,-1,<?lua print((N-1)*S/2)?>"
+          halfExtents="<?lua print(S*N/2)?>,1,<?lua print(S*N/2)?>"
+        />  
+
+      -->
+      </collisionShapes>
+
+    </StaticEntity>
+
+    <Light
+      type=directional
+      position="-50,500,-50"
+      direction="0.577, -0.577, 0.577"
+      diffuse="1.0, 0.9, 0.9, 1.0"
+      specular="1.0, 0.9, 0.9, 1.0"
+    />
+    
+    <SpawnPoint
+      team=0
+      position="<?lua print(S*0)?>,40,<?lua print(8*S)?>"
+      lookat="0,40,0"
+      spawnclass=HoverShip
+      pawndesign=spaceshiphover
+    />
+    
+  </Scene>
+</Level>
+
